/**
 * SLIDER
 *
*/
/* CARD SLIDE OVERRIDINGS */
.rtds-carousel .rtds-card,
    .rtds-carousel-col {
    display: inline-grid;
}
.rtds-carousel-col {
    padding-bottom: var(--spacing-2);
}
/* Slider buttons arrows - next/prev */
.rtds-carousel .splide__arrow {
    font-size: var(--fontsize-text-lg);
    letter-spacing: 0.025em;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: var(--spacing-1);
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
    border-radius: 0.375rem;
    line-height: 1;
    font-weight: 700;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 200ms;
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    border-width: 1px;
}
.rtds-carousel .splide__arrow[disabled] {
        background-color: var(--color-background-02);
        color: var(--color-button-disabled);
        border-color: var(--color-background-02);
        cursor: not-allowed;
    }
.rtds-carousel .splide__arrow[aria-disabled="true"] {
        background-color: var(--color-background-02);
        color: var(--color-button-disabled);
        border-color: var(--color-background-02);
        cursor: not-allowed;
    }
.rtds-dialog__actions .rtds-carousel .splide__arrow {
    flex: 1 1 0%;
}
@media (min-width: 1024px) {
    .rtds-dialog__actions .rtds-carousel .splide__arrow {
        flex: none;
    }
}
.rtds-carousel .splide__arrow {
    height: var(--spacing-8);
    width: var(--spacing-8);
    border-radius: 9999px;
    border-style: solid;
    border-color: currentColor;
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
    padding: var(--spacing-0);
    opacity: 1;
        color: var(--color-content-primary);
    display: inline-flex;
    gap: var(--spacing-1);
    border-radius: 0.375rem;
    border-width: 1px;
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
    font-size: var(--fontsize-text-lg);
    font-weight: 700;
    line-height: 1;
    letter-spacing: 0.025em;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 200ms;
    transition-timing-function: cubic-bezier(0, 0, 0.2, 1);
    justify-content: center;
    align-items: center;
    padding-left: var(--spacing-4);
    padding-right: var(--spacing-4);
}
.rtds-carousel .splide__arrow:hover {
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
        background-color: var(--color-background-primary);
}
.rtds-carousel .splide__arrow:focus-visible {
    outline-color: var(--color-focusring);
}
@media (min-width: 768px) {
    .rtds-carousel .splide__arrow {
        height: var(--spacing-10);
        width: var(--spacing-10);
    }
}
@media (min-width: 1024px) {
    .rtds-carousel .splide__arrow {
        position: absolute;
        bottom: var(--spacing-4);
        right: var(--spacing-4);
        display: flex;
        height: var(--spacing-12);
        width: var(--spacing-12);
    }
}
.rtds-carousel .splide__arrow--next, .rtds-carousel .splide__arrow--prev {
    z-index: 20;
}
.rtds-carousel .splide__arrow--prev {
    left: calc(var(--spacing-4) * -1);
}
@media (min-width: 768px) {
    .rtds-carousel .splide__arrow--prev {
        left: calc(var(--spacing-8) * -1);
    }
}
@media (min-width: 1024px) {
    .rtds-carousel .splide__arrow--prev {
        left: calc(var(--spacing-12) * -1);
    }
}
@media (min-width: 1280px) {
    .rtds-carousel .splide__arrow--prev {
        left: calc(var(--spacing-14) * -1);
    }
}
@media (min-width: 1536px) {
    .rtds-carousel .splide__arrow--prev {
        left: calc(var(--spacing-16) * -1);
    }
}
.rtds-carousel .splide__arrow--next {
    right: calc(var(--spacing-4) * -1);
}
@media (min-width: 768px) {
    .rtds-carousel .splide__arrow--next {
        right: calc(var(--spacing-8) * -1);
    }
}
@media (min-width: 1024px) {
    .rtds-carousel .splide__arrow--next {
        right: calc(var(--spacing-12) * -1);
    }
}
@media (min-width: 1280px) {
    .rtds-carousel .splide__arrow--next {
        right: calc(var(--spacing-14) * -1);
    }
}
@media (min-width: 1536px) {
    .rtds-carousel .splide__arrow--next {
        right: calc(var(--spacing-16) * -1);
    }
}
/* Icon overriding */
.rtds-carousel.is-focus-in .splide__arrow:focus {
    outline-color: var(--color-focusring);
}
.rtds-carousel .splide__arrow svg {
       fill: currentColor;
    }
.rtds-carousel .splide__arrow .splide__arrow-svg {
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity, 1));
}
.rtds-carousel .splide__arrow.splide__arrow--disabled {
    opacity: 0.7;
}
.rtds-carousel .splide__arrow.splide__arrow--disabled:hover {
        background-color: var(--color-button-secondary);
        border-color: var(--color-button-secondary);
    }
/* SLIDER DOTS CUSTOMIZATION */
.rtds-carousel .splide__dots {
    bottom: var(--spacing-0);
}
.rtds-carousel .splide__pagination {
    gap: var(--spacing-3);
    display: flex;
    justify-content: center;
    align-items: center;
}
.rtds-carousel .splide__pagination:focus {
    outline-color: var(--color-focusring);
}
@media (min-width: 768px) {
    .rtds-carousel .splide__pagination {
        bottom: calc(var(--spacing-10) * -1);
    }
}
.rtds-carousel.is-focus-in .splide__pagination__page:focus {
    outline-width: 2px;
    outline-color: var(--color-secondary-500);
}
.rtds-carousel .splide__pagination__page {
    height: var(--spacing-2-5);
    width: var(--spacing-2-5);
    opacity: 1;
        background-color: var(--color-background-05);
}
.rtds-carousel .splide__pagination__page:hover {
        background-color: var(--color-background-secondary);
    }
.rtds-carousel .splide__pagination__page.is-active {
    height: var(--spacing-3);
    width: var(--spacing-3);
        background-color: var(--color-background-secondary);
}
